<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">

<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=$report-charset">
    <link rel="stylesheet" href="$css" type="text/css" media="screen">

    <title>Sistema de ayuda de Venkman</title>
    <script>
      function onLoad ()
      {
          var searchStart = document.location.href.indexOf("?");
          if (searchStart != -1)
          {
              var href = document.location.href;
              var result = parseSearch(href.substr(searchStart + 1));

              if ("search" in result)
              {
                  document.getElementById("search").value =
                      decodeURIComponent(result.search);
              }

              if ("within" in result)
              {
                  var within = parseInt(result.within);
                  if (within & 0x01)
                      document.getElementById("command-names").checked = true;
                  if (within & 0x02)
                      document.getElementById("ui-labels").checked = true;
                  if (within & 0x04)
                      document.getElementById("help-text").checked = true;
              }
              else
              {
                  document.getElementById("command-names").checked = true;
                  document.getElementById("ui-labels").checked = true;
              }
          }
          else
          {
              document.getElementById("command-names").checked = true;
              document.getElementById("ui-labels").checked = true;
          }
      }

      function onKeyUp (event)
      {
          if (event.keyCode == 13)
              onSearch();
      }

      function onSearch ()
      {
          var search = document.getElementById("search").value;

          var within = 0;
          if (document.getElementById("command-names").checked)
              within |= 0x01;
          if (document.getElementById("ui-labels").checked)
              within |= 0x02;
          if (document.getElementById("help-text").checked)
              within |= 0x04;

          document.location.href = "x-jsd:help?search=" + escape(search) +
                                   "&within=" + within;
      }

      function parseSearch (search)
      {
          var parseResult = new Object();
          var ary = search.match(/([^&]+)/);
          
          while (ary)
          {
              var rest = RegExp.rightContext.substr(1);
              var assignment = ary[1];
              ary = assignment.match(/(.+)=(.*)/);
              if (ary)
              {
                  /* only set the property the first time we see it */
                  if (2 in ary && !(ary[1] in parseResult))
                      parseResult[ary[1]] = ary[2];
              }
              ary = rest.match(/([^&]+)/);
          }

          return parseResult;
      }
    </script>
  </head>

  <body id="venkman-help" onload="onLoad();"
    hasSearched="$has-searched" matchCount="$match-count">

    <a name="top"></a>
    <div id="help-menu">
      <span class="newbie-help">
        <p>
          Bienvenido al <b>sistema de ayuda de Venkman</b>.  Desde aquí puede buscar
          ayda sobre los variados comandos disponibles en Venkman.  Para buscar un
          comando en particular, ingrese su término de búsqueda aquí debajo y haga clic en
          <b>Ir</b> o presione <b>Enter</b>.
        <p>
          Se puede encontrar ayuda adicional en el
          <a href="http://www.mozilla.org/projects/venkman/">sitio de Venkman</a>
          o las
          <a href="http://www.hacksrus.com/~ginda/venkman/faq/venkman-faq.html">preguntas frecuentes de Venkman</a>.
      </span>
      <span class="newbie-help">
        Los cuadros controla en qué campos se realizará la búsqueda…
        <ul>
          <li><b>Nombres de comando</b> buscará el nombre de comando, tal cual se ingresa
            en la </b>sesión interactiva</b>.
          <li><b>Etiquetas de interfase del usuario</b> buscará las etiquetas usadas cuando el
            comando aparece en un <b>menú</b> o <b>botón de la barra de herramientas</b>.
          <li><b>Descripciones</b> busca en el cuerpo del texto de ayuda.
        </ul>
      </span>
      <p class="search-input">
        Buscar: <input type="text" id="search" onkeyup="onKeyUp(event)"/>
        <input type="button" onclick="onSearch()" value="Ir">

        <input type="checkbox" id="command-names" value="1">
        <label for="command-names">Nombres de comando</label>

        <input type="checkbox" id="ui-labels" value="1">
        <label for="ui-labels">Etiquetas de interfase del usuario</label>

        <input type="checkbox" id="help-text" value="1">
        <label for="help-text">Descripciones</label>
      <p class="quick-searches">
        [ <a href="x-jsd:help">Comandos de sesión interactiva</a> |
         <a href="x-jsd:help?search="><b>Todos</b> los comandos</a> |
         <a href="x-jsd:help?search=%5E%5Ba-c%5D&within=2">A-C</a> |
         <a href="x-jsd:help?search=%5E%5Bd-f%5D&within=2">D-F</a> |
         <a href="x-jsd:help?search=%5E%5Bg-i%5D&within=2">G-I</a> |
         <a href="x-jsd:help?search=%5E%5Bj-l%5D&within=2">J-L</a> |
         <a href="x-jsd:help?search=%5E%5Bm-o%5D&within=2">M-O</a> |
         <a href="x-jsd:help?search=%5E%5Bp-r%5D&within=2">P-R</a> |
         <a href="x-jsd:help?search=%5E%5Bs-u%5D&within=2">S-U</a> |
         <a href="x-jsd:help?search=%5E%5Bv-z%5D&within=2">V-Z</a> ]
    </div>         
       
    <span id="match-count">Se encontraron $match-count comandos coincidentes.</span>

    <span id="command-list">
@-header-end
      <span class="command">
        <span class="label" item="command-name">Nombre del comando:</span>
        <span class="value" item="command-name"><a href="x-jsd:help?search=$command-name">$command-name</a></span><br>
        <span class="label" item="ui-label">Etiqueta de interfase del usuario:</span>
        <span class="value" item="ui-label"><a href="x-jsd:help?search=$ui-label-safe&within=2">$ui-label</a></span><br>
        <br>
        <span class="label" item="usage">Uso:</span> <span class="value" item="usage">$command-name $params</span><br>
        <br>
        <span class="label" item="accel-key">Tecla aceleradora:</span> $key<br>
        <br>
        <span class="label" item="description">Descripción:</span><br>
        <span class="value" item="description">$desc</span>
        <span class="goto-top"><a href="#top">Volver arriba</a></span>
      </span>
      <hr>
@-command-end
      <font color="red"><b>No se encontraron comandos</b></font>
@-nomatch-end
    </span>
  </body>
</html>
